# Recevez des alertes actives Récupérer les alertes système spécifiques qui correspondent aux critères que vous avez définis. ![](https://docs.equinix.com/fr/assets/images/get-active-alerts-1a54cef86fa5a71febd09af2d9f9c16a.png) ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour obtenir des instructions sur la façon d'appeler l'API OAuth pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr/equinix-api/api-authentication.md). ## Recherche d'alertes système[​](#recherche-dalertes-système "Lien direct vers Recherche d'alertes système") Pour rechercher des alertes système qui correspondent aux critères de recherche que vous avez fournis, envoyez une `POST` demande au [`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/fr/api-catalog/smartviewv2/dcim-system-alert/getalerts.md)terminal. Spécifiez les critères de recherche dans le corps de la demande. Exemple de requête cURL - récupérer les alertes actives du système : ``` curl -X POST 'https://api.equinix.com/smartview/v2/systemAlerts/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/status",                 "operator": "=",                 "values": [                     "ACTIVE"                 ]             }         ]     },     "pagination": {         "offset": 0,         "limit": 50     } }' ``` Exemple de réponse : ``` {     "data": [         {             "id": 1931,             "alertUid": "LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "traceUid": "1687495706640/LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "assetTagUid": "LD9.Generator-DH09-PG2:gensetavailableinauto",             "assetTagDisplayName": "Genset Available In Auto",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "CLOSED"             },             "asset": {                 "ibx": "LD9",                 "assetUid": "LD9.Generator-DH09-PG2",                 "assetType": "Generator",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-23T04:48:26.640Z",                 "tagCalculationJobProcessedOn": "2023-06-23T04:48:26.840Z",                 "processingStartOn": "2023-06-23T04:49:01.182223Z",                 "processingEndOn": "2023-06-23T04:49:01.282301Z",                 "publishedOn": "2023-06-23T04:49:01.282301Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         },         {             "id": 9684,             "alertUid": "LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "traceUid": "1687474008537/LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "assetTagUid": "LD4.UPS-4-2-G-15:lowbatteryalarm",             "assetTagDisplayName": "Low Battery Alarm",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "OPEN"             },             "asset": {                 "ibx": "LD4",                 "assetUid": "LD4.UPS-4-2-G-15",                 "assetType": "UPS",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-22T22:46:48.537Z",                 "tagCalculationJobProcessedOn": "2023-06-22T22:46:48.737Z",                 "processingStartOn": "2023-06-22T22:47:37.722099Z",                 "processingEndOn": "2023-06-22T22:47:37.802681Z",                 "publishedOn": "2023-06-22T22:47:37.802681Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         }     ],     "pagination": {         "offset": 20,         "limit": 10,         "total": 2     } } ``` ## Obtenir toutes les alertes du système[​](#obtenir-toutes-les-alertes-du-système "Lien direct vers Obtenir toutes les alertes du système") Pour obtenir toutes les alertes système, envoyez une `GET` demande au [`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/fr/api-catalog/smartviewv2/dcim-system-alert/postalerts.md)terminal. Les critères de pagination et de filtrage sont disponibles en tant que paramètres de requête.